﻿using Hotline.Share.Dtos.ExportWord;

namespace Hotline.Share.Dtos.OrderExportWord
{
    public class OrderSubmissionForm : IWordExportTemplate
    {
        /// <summary>
        /// 编号
        /// </summary>
        public string No { get; set; }

        /// <summary>
        /// 来信时间
        /// </summary>
        public string? CreationTime { get; set; }

        /// <summary>
        /// 来电/信人姓名
        /// </summary>
        public string? FromName { get; set; }

        /// <summary>
        /// 来电/信人性别
        /// </summary>
        public string? FromGender { get; set; }

        /// <summary>
        /// 来电号码
        /// </summary>
        public string? FromPhone { get; set; }

        /// <summary>
        /// 联系电话
        /// </summary>
        public string? Contact { get; set; }

        /// <summary>
        /// 来电地址
        /// </summary>
        public string? FullAddress { get; set; }

        /// <summary>
        /// 标题
        /// </summary>
        public string Title { get; set; }

        /// <summary>
        /// 内容
        /// </summary>
        public string Content { get; set; }

        /// <summary>
        /// 受理类型
        /// </summary>
        public string? AcceptType { get; set; }

        /// <summary>
        /// 热点
        /// </summary>
        public string? HotspotSpliceName { get; set; }

        /// <summary>
        /// 实际办理部门名称
        /// </summary>
        public string? ActualHandleOrgName { get; set; }

        /// <summary>
        /// 办理时间限制(如：24小时、7个工作日)
        /// </summary>
        public string? TimeLimit { get; set; }

        /// <summary>
        /// 交办意见
        /// </summary>
        public string? CenterToOrgOpinion { get; set; }

        /// <summary>
        /// 领导批示
        /// </summary>
        public string? LeaderInstructions { get; set; }

        /// <summary>
        /// 承办部门核实
        /// </summary>
        public string? OrgVerify { get; set; }

        /// <summary>
        /// 实际办理意见
        /// </summary>
        public string? ActualOpinion { get; set; }

        /// <summary>
        /// 回访部门信息
        /// </summary>
        public string? VisitOrg { get; set; }

        /// <summary>
        /// 回访内容
        /// </summary>
        public string? VisitContent { get; set; }

        /// <summary>
        /// 办理单位负责人
        /// </summary>
        public string? ResponsiblePerson { get; set; }

        /// <summary>
        /// 办理单位负责人电话
        /// </summary>
        public string? ResponsiblePersonPhone { get; set; }

        /// <summary>
        /// 上报时间
        /// </summary>
        public string? ReportingTime { get; set; }

        /// <summary>
        /// 承办人
        /// </summary>
        public string? Undertaker { get; set; }

        /// <summary>
        /// 承办人电话
        /// </summary>
        public string? UndertakerPhone { get; set; }

        /// <summary>
        /// 来电人意见(是否满意)
        /// </summary>
        public string? FromView { get; set; }

        /// <summary>
        /// 交办时间(中心交部门办理时间)
        /// </summary>
        public string? CenterToOrgTime { get; set; }

        /// <summary>
        /// 超期时间（期满时间）
        /// </summary>
        public string? ExpiredTime { get; set; }

        /// <summary>
        ///  交办人
        /// </summary>
        public string? CenterToOrgHandlerName { get; set; }
    }
}
