﻿using System.ComponentModel;

namespace Hotline.Share.Enums.Order;

public enum EOrderStatus
{
    /// <summary>
    /// 待受理
    /// </summary>
    [Description("待受理")]
    WaitForAccept = 0,

    /// <summary>
    /// 已开启流程,退回到开始节点
    /// 待受理，可编辑
    /// </summary>
    [Description("退回待受理")]
    BackToUnAccept = 1,

    /// <summary>
    /// 已开启流程,特提到开始节点
    /// 待受理，可编辑
    /// </summary>
    [Description("特提待受理")]
    SpecialToUnAccept = 2,

	/// <summary>
	/// 退回省平台（锁定，不可操作）
	/// </summary>
	[Description("退回省平台")]
    BackToProvince = 9,

    /// <summary>
    /// 办理中
    /// </summary>
    [Description("办理中")]
    Handling = 100,

    /// <summary>
    /// 会签中
    /// </summary>
    [Description("会签中")]
    Countersigning = 200,

    /// <summary>
    /// 已归档
    /// </summary>
    [Description("已归档")]
    Filed = 300,

    /// <summary>
    /// 已发布
    /// </summary>
    [Description("已发布")]
    Published = 400,

    /// <summary>
    /// 已回访
    /// </summary>
    [Description("已回访")]
    Visited = 500,
}